import BtnOpenPanel from "../../component/BtnOpenPanel";

const { ccclass, property } = cc._decorator;

@ccclass
export default class FunBtns extends cc.Component {
    @property({ type: cc.Node, displayName: "存钱罐" })
    btn1: cc.Node = null;
    @property({ type: cc.Node, displayName: "转盘" })
    btn2: cc.Node = null;
    @property({ type: cc.Node, displayName: "签到" })
    btn3: cc.Node = null;
    @property({ type: cc.Node, displayName: "提现" })
    btn4: cc.Node = null;

    onLoad() {

    }

    start() {


    }

    init() {
        let data = [1, 1, 0, 1];
        for (let i = 0; i < data.length; i++) {
            if (data[i] == 0) {
                this['btn' + (i + 1)].active = data[i] == 1;
            }
        }
    }
}

